Gecode::Iter::Ranges::Union< I, J > Class Template Reference
Common functionality » Range and value iterators » Range iterators

Range iterator for computing union (binary). More...

`#include <ranges-union.hpp>`

## Protected Attributes

I | i
| First iterator.
J | j
| Second iterator.
Protected Attributes inherited from Gecode::Iter::Ranges::MinMax
int | mi
| Minimum of current range.
int | ma
| Maximum of current range.

## Constructors and initialization

| Union (void)
| Default constructor.
| Union (I &i, J &j)
| Initialize with iterator i and j.
void | init (I &i, J &j)
| Initialize with iterator i and j.

## Iteration control

void | operator++ (void)
| Move iterator to next range (if possible).

## Additional Inherited Members

| MinMax (void)
| Default constructor.
| MinMax (int min, int max)
| Initialize with range min to max.
bool | operator() (void) const
| Test whether iterator is still at a range or done.
int | min (void) const
| Return smallest value of range.
int | max (void) const
| Return largest value of range.
unsigned int | width (void) const
| Return width of range (distance between minimum and maximum).
Protected Member Functions inherited from Gecode::Iter::Ranges::MinMax
void | finish (void)
| Set range such that iteration stops

## Detailed Description

template<class I, class J>
class Gecode::Iter::Ranges::Union< I, J >

Range iterator for computing union (binary).

Definition at line 44 of file ranges-union.hpp.

## Constructor & Destructor Documentation

## Union() [1/2]

template<class I, class J>

Gecode::Iter::Ranges::Union< I, J >::Union | ( | void |  | ) |

inline

Default constructor.

Definition at line 155 of file ranges-union.hpp.

## Union() [2/2]

template<class I, class J>

Gecode::Iter::Ranges::Union< I, J >::Union | ( | I & | i,
|  | J & | j )

inline

Initialize with iterator i and j.

Definition at line 159 of file ranges-union.hpp.

## Member Function Documentation

## init()

template<class I, class J>

void Gecode::Iter::Ranges::Union< I, J >::init | ( | I & | i,
|  | J & | j )

inline

Initialize with iterator i and j.

Definition at line 166 of file ranges-union.hpp.

## operator++()

template<class I, class J>

void Gecode::Iter::Ranges::Union< I, J >::operator++ | ( | void |  | ) |

inline

Move iterator to next range (if possible).

Definition at line 124 of file ranges-union.hpp.

## Member Data Documentation

## i

template<class I, class J>

I Gecode::Iter::Ranges::Union< I, J >::i

protected

First iterator.

Definition at line 47 of file ranges-union.hpp.

## j

template<class I, class J>

J Gecode::Iter::Ranges::Union< I, J >::j

protected

Second iterator.

Definition at line 49 of file ranges-union.hpp.

The documentation for this class was generated from the following file:

- gecode/iter/ranges-union.hpp